import handy_httpd;
import slf4d;
import slf4d.default_provider;
import api_mapping;

void main() {
	auto provider = new DefaultProvider(true, Levels.INFO);
    configureLoggingProvider(provider);

	ServerConfig cfg;
	cfg.workerPoolSize = 5;
	cfg.port = 8080;
	HttpServer server = new HttpServer(mapApiHandlers(), cfg);
	server.start();
}
