module auth.data;

import handy_httpd.components.optional;
import auth.model;

interface UserRepository {
    Optional!User findByUsername(string username);
    User[] findAll();
    User createUser(string username, string passwordHash);
    void deleteByUsername(string username);
}
